////////////////////////////////////////////////////////////////////////////////
// OLE Automation for Strings with Delphi
// demonstration
// fabrice.marguerie@cogisoft.fr
// http://www.cogisoft.fr/downloads
// 22/04/1999
////////////////////////////////////////////////////////////////////////////////

unit DemoStringsAuto_frm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmDemoStringsAuto = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    btnGet: TButton;
    btnSet: TButton;
    Label2: TLabel;
    edtValue: TEdit;
    procedure btnGetClick(Sender: TObject);
    procedure btnSetClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    vStrings: Variant;
  public
  end;

var
  frmDemoStringsAuto: TfrmDemoStringsAuto;


implementation


{$R *.DFM}

uses
  StringsAuto;

procedure TfrmDemoStringsAuto.FormCreate(Sender: TObject);
begin
  vStrings := CreateStringsVariant(Memo1.Lines);
end;

procedure TfrmDemoStringsAuto.btnGetClick(Sender: TObject);
begin
  edtValue.Text := vStrings.Var1;
end;

procedure TfrmDemoStringsAuto.btnSetClick(Sender: TObject);
begin
  vStrings.Var1 := edtValue.Text;
end;

end.
